
def loguru_config_logger(name, level):
    import logging
    from loguru import logger

    # Set up a logger with a custom name and level
    logger.remove()  # Remove all handlers to prevent duplicates
    logger.add(sink=f"logs/{name}.log", level=level, rotation="1 week", retention="1 month")

    # Get the configured logger
    return logger



